<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: Device/Nuvoton/Mini51Series/Include/system_Mini51Series.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="dir_121a9ecaa66bd755f16cf1369c08942a.html">Mini51Series</a></li><li class="navelem"><a class="el" href="dir_ff4f3084b4cc69b190eb0e38cf9128dc.html">Include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">system_Mini51Series.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="system___mini51_series_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef __SYSTEM_MINI51SERIES_H__</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define __SYSTEM_MINI51SERIES_H__</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/* Macro Definition                                                                                        */</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">/*----------------------------------------------------------------------------</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">  Define SYSCLK</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> *----------------------------------------------------------------------------*/</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#a94f5c03e3c2c2a616ed82de82e9bb130">   29</a></span>&#160;<span class="preprocessor">#define __XTAL12M        (12000000UL)</span></div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#a4b216961fc7c604a794d52bdc02f22be">   30</a></span>&#160;<span class="preprocessor">#define __XTAL32K        (32768UL)</span></div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#a273745e210b52623e70b5cdde9010d1a">   31</a></span>&#160;<span class="preprocessor">#define __IRC22M        (22118400UL)</span></div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#a15980137f4b2263e0102fe2524932485">   32</a></span>&#160;<span class="preprocessor">#define __IRC10K        (10000UL)</span></div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#a8687edecd98881631a879bd10528c7da">   33</a></span>&#160;<span class="preprocessor">#define __XTAL            __XTAL12M</span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="system___mini51_series_8h.html#abbd628d8a30e6695b3715ae72a693e56">   34</a></span>&#160;<span class="preprocessor">#define __HSI            (__IRC22M)      </span><span class="comment">/* Factory Default is internal 22MHz */</span><span class="preprocessor"></span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">extern</span> uint32_t <a class="code" href="system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a>;        </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">extern</span> uint32_t <a class="code" href="system___mini51_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a>;            </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a> (<span class="keywordtype">void</span>);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif  //__SYSTEM_MINI51SERIES_H__</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="system___mini51_series_8h_html_a63bedf89ae7fbb102b8653aca20d3a14"><div class="ttname"><a href="system___mini51_series_8h.html#a63bedf89ae7fbb102b8653aca20d3a14">CyclesPerUs</a></div><div class="ttdeci">uint32_t CyclesPerUs</div><div class="ttdef"><b>Definition:</b> <a href="system___mini51_series_8c_source.html#l00021">system_Mini51Series.c:21</a></div></div>
<div class="ttc" id="system___mini51_series_8h_html_ae0c36a9591fe6e9c45ecb21a794f0f0f"><div class="ttname"><a href="system___mini51_series_8h.html#ae0c36a9591fe6e9c45ecb21a794f0f0f">SystemCoreClockUpdate</a></div><div class="ttdeci">void SystemCoreClockUpdate(void)</div><div class="ttdoc">Updates the SystemCoreClock with current core Clock retrieved from CPU registers.</div><div class="ttdef"><b>Definition:</b> <a href="system___mini51_series_8c_source.html#l00031">system_Mini51Series.c:31</a></div></div>
<div class="ttc" id="system___mini51_series_8h_html_aa3cd3e43291e81e795d642b79b6088e6"><div class="ttname"><a href="system___mini51_series_8h.html#aa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</a></div><div class="ttdeci">uint32_t SystemCoreClock</div><div class="ttdef"><b>Definition:</b> <a href="system___mini51_series_8c_source.html#l00020">system_Mini51Series.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
